Get Observations items¶
My cool observations
Operation ID: getObsFeatures
Authorization: None
Query parameters¶
Responses¶
The response is a document consisting of features in the collection. The features included in the response are determined by the server based on the query parameters of the request. To support access to larger collections without overloading the client, the API supports paged access with links to the next page, if more features are selected that the page size.
The bbox and datetime parameter can be used to select only a subset of the features in the collection (the features that are in the bounding box or time interval). The bbox parameter matches all features in the collection that are not associated with a location, too. The datetime parameter matches all features in the collection that are not associated with a time stamp or interval, too.
The limit parameter may be used to control the subset of the selected features that should be returned in the response, the page size. Each page may include information about the number of selected and returned features (numberMatched and numberReturned) as well as links to support paging (link relation next).
Content type: application/geo+json
Schema: ogcapi-features-1__featureCollectionGeoJSON
Properties
| Property | Type | Required | Description |
|---|---|---|---|
type | string | Yes | Allowed values: FeatureCollection. |
features | array of ogcapi-features-1__featureGeoJSON | Yes | — |
links | array of ogcapi-features-1__link | No | — |
timeStamp | ogcapi-features-1__timeStamp | No | — |
numberMatched | ogcapi-features-1__numberMatched | No | — |
numberReturned | ogcapi-features-1__numberReturned | No | — |
Example
{
"type": "FeatureCollection",
"links": [
{
"href": "http://data.example.com/collections/buildings/items.json",
"rel": "self",
"type": "application/geo+json",
"title": "this document"
},
{
"href": "http://data.example.com/collections/buildings/items.html",
"rel": "alternate",
"type": "text/html",
"title": "this document as HTML"
},
{
"href": "http://data.example.com/collections/buildings/items.json&offset=10&limit=2",
"rel": "next",
"type": "application/geo+json",
"title": "next page"
}
],
"timeStamp": "2018-04-03T14:52:23Z",
"numberMatched": 123,
"numberReturned": 2,
"features": [
{
"type": "Feature",
"id": "123",
"geometry": {
"type": "Polygon",
"coordinates": [
"..."
]
},
"properties": {
"function": "residential",
"floors": "2",
"lastUpdate": "2015-08-01T12:34:56Z"
}
},
{
"type": "Feature",
"id": "132",
"geometry": {
"type": "Polygon",
"coordinates": [
"..."
]
},
"properties": {
"function": "public use",
"floors": "10",
"lastUpdate": "2013-12-03T10:15:37Z"
}
}
]
}
Content type: text/html
Schema: string
Example
A query parameter has an invalid value.
Content type: application/json
Schema: ogcapi-features-1__exception
Properties
| Property | Type | Required | Description |
|---|---|---|---|
code | string | Yes | — |
description | string | No | — |
Example
Content type: text/html
Schema: string
Example
The requested resource does not exist on the server. For example, a path parameter had an incorrect value.